{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
  asgiref,
  django,
}:

buildPythonPackage rec {
  pname = "django-browser-reload";
  version = "1.12.1";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "adamchainz";
    repo = "django-browser-reload";
    rev = version;
    hash = "sha256-IDIkAl6YYI3isDvpzCtAu4fLSr2gbjEvVW+K1WBDPbo=";
  };

  nativeBuildInputs = [
    setuptools
    wheel
  ];

  propagatedBuildInputs = [
    asgiref
    django
  ];

  pythonImportsCheck = [ "django_browser_reload" ];

  meta = with lib; {
    description = "Automatically reload your browser in development";
    homepage = "https://github.com/adamchainz/django-browser-reload";
    changelog = "https://github.com/adamchainz/django-browser-reload/blob/${src.rev}/CHANGELOG.rst";
    license = licenses.mit;
    maintainers = [ ]; # with maintainers; [ thubrecht ];
  };
}
