{
  lib,
  buildPythonPackage,
  pytestCheckHook,
  fetchFromGitHub,
  setuptools,
  wheel,
  django,
  lxml,
  requests,
  requests-futures,
  six,
  pytest-django,
  pytest-env,
  pytest-runner,
  mock,
}:

buildPythonPackage rec {
  pname = "django-cas-server";
  version = "unstable-2024-04-13";
  format = "pyproject";

  src = fetchFromGitHub {
    owner = "nitmir";
    repo = "django-cas-server";
    rev = "a04477d34eedba4fcc91f00a22689defd3f22a7f";
    hash = "sha256-K6SKnYBiA1TrSdDSodYJoz1Bk20PsNo2g0dvs4XdmY0=";
  };

  patches = [ ./01-pytest.patch ];

  nativeBuildInputs = [
    setuptools
    wheel
  ];

  propagatedBuildInputs = [
    django
    lxml
    requests
    requests-futures
    setuptools
    six
  ];

  nativeCheckInputs = [
    mock
    pytestCheckHook
    pytest-django
    pytest-env
    pytest-runner
  ];

  pythonImportsCheck = [ "cas_server" ];

  meta = with lib; {
    description = "A Django Central Authentication Service server implementing the CAS Protocol 3.0 Specification";
    homepage = "https://github.com/nitmir/django-cas-server";
    changelog = "https://github.com/nitmir/django-cas-server/blob/${src.rev}/CHANGELOG.rst";
    license = licenses.gpl3Only;
    maintainers = [ ];
  };
}
